{% load static wagtailimages_tags %}

<div class="badge w-full">
  <div class="avatar avatar--md badge__avatar">
    {% if person_page.profile_photo %}
      {# Match sizing of person page to keep the image version count low #}
      {% image person_page.profile_photo fill-416x416 as profile_img %}
      <img src="{{ profile_img.url }}" alt="{{ person_page.title }}"/>
    {% else %}
      <img src="{% static "shared/img/unknown_pirate_416x416.jpg" %}" alt="{{ person_page.title }}"/>
    {% endif %}
  </div>

  <div class="badge__body">
    <a href="{{ person_page.url }}" class="head-heavy-xs">
      {{ person_page.title }}
    </a>
    <p class="badge__occupation">
      {% if title %}
        {{ title }}
      {% else %}
        {{ person_page.job_function|default_if_none:"" }}
      {% endif %}
    </p>
    {% if person_page.phone %}
      <a href="tel:{{ person_page.phone }}" class="contact-line contact-line--responsive icon-link badge__link">
        <i class="ico--phone"></i>
        <span>{{ person_page.phone }}</span>
      </a>
    {% endif %}
    {% if person_page.email and person_page.show_email %}
      <a href="mailto:{{ person_page.email }}" class="contact-line contact-line--responsive icon-link badge__link">
        <i class="ico--envelope"></i>
        <span>{{ person_page.email }}</span>
      </a>
    {% endif %}
  </div>
</div>
